<?php
session_start();
			

include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xmuestra_detalle=$_REQUEST['xmuestra_detalle'];
if($xmuestra_detalle!=1){
	$xmuestra_detalle=0;
}

@$xnivel_padre = $_REQUEST['xnivel_padre'];




include "../conexion.php";

$niv = new Niveles;

switch($xaccion){
	
	case "adicionar": 
		if($niv->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Nivel creado satisfactoriamente.")
			parent.location.href="../familias_niveles.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($niv->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Nivel modificada satisfactoriamente.")
			parent.location.href="../familias_niveles.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
	
		if($vali->niveles($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($niv->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Familia eliminada satisfactoriamente.")
				parent.location.href="../familias_niveles.php";
				</script>			
				<?php
				
			}
		}					
		break;

	case "activar":
		if($niv->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Niveles{

	//Adiciona nuevo Nivel
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xmuestra_detalle, $xnivel_padre;

		$r = mysqli_query($conexion,"insert into productos_familia_niveles (prdfamniv_nombre, 
												  prdfamniv_abreviatura,
												  prdfamniv_usu_crea,
												  prdfamniv_codi_fk)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion',
												'$xnivel_padre');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xmuestra_detalle, $xnivel_padre;	
	

		$r = mysqli_query($conexion,"update productos_familia_niveles set prdfamniv_nombre = '$xnombres', 
												  prdfamniv_abreviatura = '$xabreviatura',
												  prdfamniv_usu_modifica = '$xusuario_sesion',
												  prdfamniv_codi_fk = '$xnivel_padre'
										where prdfamniv_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from productos_familia_niveles where prdfamniv_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update productos_familia_niveles set prdfamniv_estado = '$xestado',
												  			prdfamniv_usu_activa = '$xusuario_sesion'		 
															where prdfamniv_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


	function listar_niveles($conexion){
		$result1=mysqli_query($conexion,"SELECT * FROM productos_familia_niveles p ORDER BY prdfamniv_nombre;");
		return $result1;
	}


}


?>
